org.springframework.batch.core.step.tasklet

## Class ConfigurableSystemProcessExitCodeMapper

- java.lang.Object
- - org.springframework.batch.core.step.tasklet.ConfigurableSystemProcessExitCodeMapper

- All Implemented Interfaces:
    SystemProcessExitCodeMapper

      public class ConfigurableSystemProcessExitCodeMapper
      extends java.lang.Object
      implements SystemProcessExitCodeMapper

  Maps exit codes to `ExitStatus` according to injected map. The injected map is required to contain a value for 'else' key, this value will be returned if the injected map does not contain value for the exit code returned by the system process.
  Author:
    Robert Kasanicky

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELSE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurableSystemProcessExitCodeMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExitStatus` | `getExitStatus(int exitCode)`
    `void` | `setMappings(java.util.Map<java.lang.Object,ExitStatus> mappings)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELSE_KEY

          public static final java.lang.String ELSE_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigurableSystemProcessExitCodeMapper

          public ConfigurableSystemProcessExitCodeMapper()

  - ### Method Detail

    - #### getExitStatus

          public ExitStatus getExitStatus(int exitCode)

      Specified by:
        `getExitStatus` in interface `SystemProcessExitCodeMapper`
      Parameters:
        `exitCode` - exit code returned by the system process
      Returns:
        ExitStatus appropriate for the `systemExitCode` parameter value

    - #### setMappings

          public void setMappings(java.util.Map<java.lang.Object,ExitStatus> mappings)

      Parameters:
        `mappings` - `Integer` exit code keys to `ExitStatus` values.